%global debug_package %{nil}

Name:		chrome-gnome-shell
Version:	10.1
Release:	%mkrel 5
Summary:	Support for managing GNOME Shell Extensions through web browsers
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome
Source0:	https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	pkgconfig(python3)
BuildRequires:	coreutils
BuildRequires:	jq

Requires:	dbus
Requires:	gnome-icon-theme
Requires:	gnome-shell
Requires:	hicolor-icon-theme
Requires:	mozilla-filesystem
Requires:	python3-gobject3
Requires:	python3-requests

%description
Browser extension for Google Chrome/Chromium, Firefox, Vivaldi, Opera (and
other Browser Extension, Chrome Extension or WebExtensions capable browsers)
and native host messaging connector that provides integration with GNOME Shell
and the corresponding extensions repository https://extensions.gnome.org.

%prep
%autosetup

%build
%cmake -DBUILD_EXTENSION=OFF \
       -DCMAKE_INSTALL_LIBDIR=%{_lib} \
       -DPython_ADDITIONAL_VERSIONS=3
%cmake_build

%install
%cmake_install

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.ChromeGnomeShell.desktop

%files
%license LICENSE
%{_sysconfdir}/chromium/
%{_sysconfdir}/opt/chrome/
%{_bindir}/chrome-gnome-shell
%{_libdir}/mozilla/native-messaging-hosts/
%{python3_sitelib}/chrome_gnome_shell-*.egg-info
%{_datadir}/applications/org.gnome.ChromeGnomeShell.desktop
%{_datadir}/dbus-1/services/org.gnome.ChromeGnomeShell.service
%{_datadir}/icons/gnome/*/apps/org.gnome.ChromeGnomeShell.png



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 10.1-5.mga8
+ Revision: 1531409
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Wed Sep 11 2019 tv <tv> 10.1-4.mga8
+ Revision: 1439929
- rebuild for python-3.8

* Mon Jan 07 2019 tmb <tmb> 10.1-3.mga7
+ Revision: 1351170
- rebuild for python 3.7

* Sat Sep 22 2018 umeabot <umeabot> 10.1-2.mga7
+ Revision: 1296145
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 guillomovitch <guillomovitch> 10.1-1.mga7
+ Revision: 1245011
- new version 10.1

* Wed Feb 21 2018 ovitters <ovitters> 10-1.mga7
+ Revision: 1204042
- new version 10

* Fri Aug 04 2017 tv <tv> 9-2.mga7
+ Revision: 1134713
- rebuild for new python

* Mon Apr 17 2017 ovitters <ovitters> 9-1.mga6
+ Revision: 1096624
- new version 9

* Sun Mar 26 2017 tv <tv> 8.2-2.mga6
+ Revision: 1094877
- fix deps

* Sat Mar 25 2017 ovitters <ovitters> 8.2-1.mga6
+ Revision: 1094809
- add group
- from fedora


* Fri Mar 10 2017 Pete Walter <pwalter@fedoraproject.org> - 8.2-2
- Package review fixes (#1343710)
- Validate the desktop file
- Don't own /etc/opt directory
- Depend on mozilla-filesystem instead of co-owning mozilla directories
- Depend on dbus and gnome-icon-theme/hicolor-icon-theme for directory
  ownership

* Fri Mar 03 2017 Pete Walter <pwalter@fedoraproject.org> - 8.2-1
- Update to 8.2
- Simplify files list
- Build with Python 3 (#1343710)
- Add missing python3-requests dependency (#1343710)
- Update package description

* Tue Jun 07 2016 Pete Walter <pwalter@fedoraproject.org> - 6.1-1
- Update to 6.1

* Sat May 14 2016 Maxim Orlov <murmansksity@gmail.com> - 6-1
- Update to Ver.6
- Fix "orphaned directory"

* Mon Apr 11 2016 Maxim Orlov <murmansksity@gmail.com> - 5.2-1
- Initial package.
